org.apache.ignite.internal.processors.rest.handlers.cache

## Class GridCacheCommandHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter
  - - org.apache.ignite.internal.processors.rest.handlers.cache.GridCacheCommandHandler

All Implemented Interfaces:
  GridRestCommandHandler

    public class GridCacheCommandHandler
    extends GridRestCommandHandlerAdapter

Command handler for API requests.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter

`ctx, DFLT_CACHE_NAME, log`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheCommandHandler(GridKernalContext ctx)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`IgniteInternalFuture<GridRestResponse>` `handleAsync(GridRestRequest req)`
`protected IgniteInternalCache<Object,Object>` `localCache(String cacheName)`
`static boolean` `parseCacheFlags(int cacheFlagsBits)` Retrieves cache flags from corresponding bits.
`Collection<GridRestCommand>` `supportedCommands()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.handlers.GridRestCommandHandlerAdapter

`missingParameter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheCommandHandler

    public GridCacheCommandHandler(GridKernalContext ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### parseCacheFlags

    public static boolean parseCacheFlags(int cacheFlagsBits)

Retrieves cache flags from corresponding bits.

Parameters:
  `cacheFlagsBits` - Integer representation of cache flags bit set.
Returns:
  Skip store flag.

#### supportedCommands

    public Collection<GridRestCommand> supportedCommands()

Returns:
  Collection of supported commands.

#### handleAsync

    public IgniteInternalFuture<GridRestResponse> handleAsync(GridRestRequest req)

Parameters:
  `req` - Request.
Returns:
  Future.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### localCache

    protected IgniteInternalCache<Object,Object> localCache(String cacheName)
                                                     throws IgniteCheckedException

Parameters:
  `cacheName` - Name of the cache.
Returns:
  Instance on the named cache.
Throws:
  `IgniteCheckedException` - If cache not found.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018